import request from '@/utils/request'

// 查询用户试卷结果列表
export function listBusExamUserResult(query) {
  return request({
    url: '/manage/busExamUserResult/list',
    method: 'get',
    params: query
  })
}

// 查询用户试卷结果详细
export function getBusExamUserResult(examUserId) {
  return request({
    url: '/manage/busExamUserResult/' + examUserId,
    method: 'get'
  })
}

// 新增用户试卷结果
export function addBusExamUserResult(data) {
  return request({
    url: '/manage/busExamUserResult',
    method: 'post',
    data: data
  })
}

// 修改用户试卷结果
export function updateBusExamUserResult(data) {
  return request({
    url: '/manage/busExamUserResult',
    method: 'put',
    data: data
  })
}

// 删除用户试卷结果
export function delBusExamUserResult(examUserId) {
  return request({
    url: '/manage/busExamUserResult/' + examUserId,
    method: 'delete'
  })
}
